<?php
/**
 * SkeletonCart
 * (c) 2017-2023 Juxtaposition Inc. All Rights Reserved.
 * (c) 2017-2023 Curlybracket, Inc. All Rights Reserved.
 * This code cannot be redistributed without permission from the copyright holder.
 * For more information, consult your SkeletonCart license.
 **/

namespace App;

use App\Util;

class Error
{
    protected $error;

    public function setError($error)
    {
        $this->error = $error;
    }

    public function error()
    {
        return $this->error;
    }

    public function hasError()
    {
        return !Util::is_empty($this->error);
    }

    public function clearError()
    {
        $this->error = null;
    }
}

